#include <bits/stdc++.h>
 
using namespace std;
 
long long res = 0, mini = LONG_MAX;
 
int main()
{
    cin.tie(NULL);
    ios_base::sync_with_stdio(false);
    int n, m;
    cin >> n >> m;
    int a[n];
    int b[n];
    for(int i = 0; i < n; i++)
    {
        cin >> a[i];
    }
    sort(a, a + n);
    for(int i = 0; i < n; i++)
    {
        b[i] = 1 - a[i];
    }
    int l, d;
    for(int i = 0; i < n; i++)
    {
        for(int j = 0; j < m; j++)
        {
            l = i - (upper_bound(a, a + i, j) - a);
            d = n - i - (upper_bound(b + i, b + n, -1 * j + 1, greater<int>()) - b - i);
            //cout << l << " " << d;
            int pomd = d;
            d += i - l;
            l +=  n - i - pomd;
            res += l * d;
        }
        if(res < mini || i == 0)
        {
            mini = res;
        }
        res = 0;
    }
    cout << mini;
    return 0;
}